=cut
# $Id: gim.pod.pl,v 1.5 2002/06/11 08:08:30 itz Exp itz $
=pod

=head1 NAME

{* $progname *} - {* $whatis *}

=head1 SYNOPSIS

{* 
        @noarg_opts = grep {$_->{arg} == 0} @opts;
        @arg_opts = grep {$_->{arg}} @opts;
        $noarg_alt = join '|', map {"B<-$_->{flag}>"} @noarg_opts;
        $arg_alt = join '|', map {"B<-$_->{flag}> \UI<$_->{name}>"} @arg_opts;
        $OUT .= qq(B<$progname> );
        if ($noarg_alt) {
                $OUT .= qq([$noarg_alt]);
        }
        if ($arg_alt) {
                $OUT .= qq([$arg_alt]);
        }
        $OUT .= " VT ...";
*}

=head1 DESCRIPTION

B<gim> tries to be a useful mouse server
for programs  running on the Linux console.  It is based on 
B<gpm>(8), but there are some important differences.  It is best
to consult the full documentation (PostScript or HTML format) about
those; this manpage only documents B<gim>'s command line.

B<gim> is meant to act like a daemon and must be run by the superuser. 

=head1 OPTIONS

=over 4

{* foreach $opt (@opts) {
        $OUT .= qq(=item B<-$opt->{flag}, --$opt->{name}>);
        if ($opt->{arg}) {
                $OUT .= qq(=\UI<$opt->{name}>);
        }
        my $docstring = "\n\n$opt->{docstring}\n\n";
        $docstring =~ s|!NAME!|\UI<$opt->{name}>| ;
        $OUT .= $docstring;
} *}

=back

=head1 ENVIRONMENT

For each command-line option --I<name> (described in the previous section),
there is a corresponding environment variable gim_I<name>.  For
options which take an argument, setting the environment variable to a
value has the same effect as specifying the option with an argument
of that value.  For instance,

 gim_ignore=7 gim

should have the same effect as

 gim -I 7

For options which do not take an argument, the value of the
environment variable should be an integer which is interpreted as a
boolean.  For instance,

 gim_verbose=1 gim

should have the same effect as

 gim -v

Explicit command-line options take precedence over the environment.

=head1 REPORTING BUGS

Report bugs to {* $email *}.

=head1 COPYRIGHT

{* $copy *}
